package com.fs.live.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.live.domain.LiveWatchUser;

/**
 * 直播间观看用户Mapper接口
 * 
 * @author fs
 * @date 2025-01-18
 */
public interface LiveWatchUserMapper extends BaseMapper<LiveWatchUser>{
    /**
     * 查询直播间观看用户
     * 
     * @param id 直播间观看用户主键
     * @return 直播间观看用户
     */
    LiveWatchUser selectLiveWatchUserById(Long id);

    /**
     * 查询直播间观看用户列表
     * 
     * @param liveWatchUser 直播间观看用户
     * @return 直播间观看用户集合
     */
    List<LiveWatchUser> selectLiveWatchUserList(LiveWatchUser liveWatchUser);

    /**
     * 新增直播间观看用户
     * 
     * @param liveWatchUser 直播间观看用户
     * @return 结果
     */
    int insertLiveWatchUser(LiveWatchUser liveWatchUser);

    /**
     * 修改直播间观看用户
     * 
     * @param liveWatchUser 直播间观看用户
     * @return 结果
     */
    int updateLiveWatchUser(LiveWatchUser liveWatchUser);

    /**
     * 删除直播间观看用户
     * 
     * @param id 直播间观看用户主键
     * @return 结果
     */
    int deleteLiveWatchUserById(Long id);

    /**
     * 批量删除直播间观看用户
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteLiveWatchUserByIds(Long[] ids);
}
